View Issue Details

IDProjectCategoryView StatusLast Update
0005202SymmetricDS ProNew Featurepublic2022-03-18 17:20
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.13.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0005202: Add Manage Incoming Loads screen
DescriptionAdd a Manage Incoming Loads screen. Either rename OutgoingLoadPanel and pass in a parameter to indicate incoming or outgoing, or create an abstract parent class for OutgoingLoadPanel and IncomingLoadPanel. The panels' behavior should differ in the following ways:

- Change heading, help link, and description to remove editing of parameter (incoming)
- Filter status table by the source node id (outgoing) or target node id (incoming)
- Filter request table by the source node id (outgoing) or target node id (incoming)
- Clicking on batches for outgoing or incoming batches
- Canceling load only flips flag for incoming (ConfigurationChangedDataLoader does the rest on target)

It may be necessary to do something similar with LoadDetail, as the refreshIncompleteTables() and trackOutgoingBatches() methods have implementations that only make sense for outgoing loads.
TagsNo tags attached.

Relationships

related to 0005203 resolvedelong SymmetricDS Sync incoming load details to target node (table_reload_status, extract_request) 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 f59bb8d3

2022-01-24 19:09:15

evan-miller-jumpmind

Details Diff
0005202: Added docs for Manage Incoming Loads screen and added methods to DataService Affected Issues
0005202
add - symmetric-assemble/src/asciidoc/images/manage/manage-incoming-loads.PNG Diff File
mod - symmetric-assemble/src/asciidoc/manage.ad Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File

SymmetricDS: 3.14 1d82cefd

2022-01-25 16:47:33

evan-miller-jumpmind

Details Diff
0005202: Added methods to query sym_extract_request by load id and node id Affected Issues
0005202
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2022-01-21 16:39 emiller New Issue
2022-01-21 16:39 emiller Status new => assigned
2022-01-21 16:39 emiller Assigned To => emiller
2022-01-24 16:18 elong Relationship added related to 0005203
2022-01-24 20:00 Changeset attached => SymmetricDS 3.14 f59bb8d3
2022-01-25 17:00 Changeset attached => SymmetricDS 3.14 1d82cefd
2022-03-18 17:20 emiller Status assigned => resolved
2022-03-18 17:20 emiller Resolution open => fixed
2022-03-18 17:20 emiller Fixed in Version => 3.14.0